# Interface ResponsibleParty

All Known Implementing Classes:
  `DefaultResponsibleParty`

@UML(identifier="CI_ResponsibleParty", specification=ISO_19115) public interface ResponsibleParty
Identification of, and means of communication with, person(s) and organizations associated with the dataset.

Since:
  1.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Contact`
  `getContactInfo()`
  Address of the responsible party.
  `String`
  `getIndividualName()`
  Name of the responsible person- surname, given name, title separated by a delimiter.
  `InternationalString`
  `getOrganisationName()`
  Name of the responsible organization.
  `InternationalString`
  `getPositionName()`
  Role or position of the responsible person.
  `Role`
  `getRole()`
  Function performed by the responsible party.

- ## Method Details

  - ### getIndividualName

    @Profile(level=CORE) @UML(identifier="individualName", obligation=CONDITIONAL, specification=ISO_19115) String getIndividualName()
    Name of the responsible person- surname, given name, title separated by a delimiter. Only one of `individualName`, `organisationName` and `positionName` shall be provided.
    Returns:
      Name, surname, given name and title of the responsible person, or `null`.

  - ### getOrganisationName

    @Profile(level=CORE) @UML(identifier="organisationName", obligation=CONDITIONAL, specification=ISO_19115) InternationalString getOrganisationName()
    Name of the responsible organization. Only one of `individualName`, `organisationName` and `positionName` shall be provided.
    Returns:
      Name of the responsible organization, or `null`.

  - ### getPositionName

    @Profile(level=CORE) @UML(identifier="positionName", obligation=CONDITIONAL, specification=ISO_19115) InternationalString getPositionName()
    Role or position of the responsible person. Only one of `individualName`, `organisationName` and `positionName` shall be provided.
    Returns:
      Role or position of the responsible person, or `null`

  - ### getContactInfo

    @UML(identifier="contactInfo", obligation=OPTIONAL, specification=ISO_19115) Contact getContactInfo()
    Address of the responsible party.
    Returns:
      Address of the responsible party., or `null`.

  - ### getRole

    @Profile(level=CORE) @UML(identifier="role", obligation=MANDATORY, specification=ISO_19115) Role getRole()
    Function performed by the responsible party.
    Returns:
      Function performed by the responsible party.